<%
/******************************************************************************
 * Copyright (c) 2000-2010 e-Deal
 *
 * e-Deal S.A.
 * 55 rue Brillat Savarin
 * 75013 Paris
 * France
 *
 * T: +33 (0)1 53 80 80 30
 * F: +33 (0)1 73 01 69 77
 * http://www.e-deal.com
 * 
 * La diffusion de ce code source sous quelque forme que ce soit sans
 * l'autorisation de E-DEAL est interdite.
 *
 * Vous tes autoriss  modifier ce code source uniquement pour votre usage
 * propre et sous rserve que les mentions de copyright demeurent intactes.
 *
 * Ce code est fourni en l'tat. Aucune garantie d'aucune sorte, explicite ou
 * implicite n'est donne. En aucun cas E-DEAL ne pourra tre tenu pour
 * responsable des dommages pouvant rsulter de l'utilisation de ce code
 * source.
 ******************************************************************************/
%>
<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.FlRequest" %>
<%@ page import="com.edeal.frontline.FlContext" %>
<%@ page import="com.edeal.frontline.Utils" %>
<%@ page import="com.edeal.frontline.FieldNotInitializedException" %>
<%@ page import="com.edeal.frontline.BasicBean" %>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl" %>
<jsp:useBean class="com.edeal.frontline.PublicationBean" id="Publication" scope="request"/>

<%
	final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(getClass());
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String id = null;
	try {
		id = Publication.getPubID();
	} catch (FieldNotInitializedException fnie) {
	}
	
	String pubDescLarge;
	try {
		pubDescLarge = Publication.getPubDescLarge();
	} catch (FieldNotInitializedException fnie) {
		pubDescLarge = "";
	}
%>

<script type="text/javascript" language="javascript">
	function update_maxLength(){
		if($('#PubWebLink').val()){
			$('#PubDescSmall').attr('maxlength', 111);
			$('#PubDescSmall').attr('value', $('#PubDescSmall').val().substring(0, 111));
			$('#hiddenPubDescLarge').attr('maxlength', 391);
			$('#PubDescLarge').attr('value', $('#PubDescLarge').val().substring(0, 391));
		}else{
			$('#PubDescSmall').attr('maxlength', 140);
			$('#hiddenPubDescLarge').attr('maxlength', 420);
		}	
	} 

	function doOnLoad(){
		$('#PubDescLarge').keypress(function(event) {
			if (event.keyCode == '8') {
				return true;
			}else{
				return imposeMaxLength(this);
			}
		});		
		update_maxLength();		
	}
	
	function imposeMaxLength(Object){	
		val = $('#hiddenPubDescLarge').attr('maxlength');
	  	return (Object.value.length < val);
	}

	function truncateDescIfLengthMax(){
		maxLength = $('#hiddenPubDescLarge').attr('maxlength');
		if($('#PubDescLarge').val().length > maxLength){
			$('#PubDescLarge').attr('value', $('#PubDescLarge').val().substring(0, maxLength));
		}
	}
</script>
<fl:form action="/save_publication.fl" bean="Publication">
	<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F7045\", \"Publication\") %>" listTitle="<%= Utils.getMessage(session, \"L30A2\", false, true, \"Liste des publications\") %>" ou="<%= \"/edit_publication.fl\" + (id != null ? \"?id=\" + id : \"\") %>">
		<table class="container" cellpadding="0">
			<tr>
				<td class="labelTitreFiche"><fl:label field="PubTitle" labelClassName="labelTitreFiche" code="F2016"/></td>
				<td style="padding-left: 10px;">
					<fl:input name="Publication" property="PubTitle" mandatoryMsgCode="L63DC"/>
				</td>
			</tr>
			<tr class="ligne_separation"><td colspan="4"></td></tr>
		</table>
		<table class="container" cellpadding="0">
			<tr><td colspan="5" class="ligne_separation"/></tr>
			<tr>
				<td class="column2">
					<table class="container" cellpadding="0">
						<fl:fieldEdit property="PubCode" unicityMsgCode="M60CE" mandatoryMsgCode="M2001"/>
						<fl:fieldEdit property="PubGroupCode" mandatoryMsgCode="M9007" autocomplete="off">
							<fl:suggest table="Publication" field="PubGroupCode" trigger="1"/>
						</fl:fieldEdit>
						<fl:fieldEdit property="PubWebLink" onchange="update_maxLength()"/>														
					</table>
				</td>
				<td class="separation"><div class="separation"></div></td>
				<td class="column2">
					<table class="container" cellpadding="0">
						<tr>
							<td class="dataLabel">
								<fl:label field="PubFilmUrl"/>
								(YouTube)
							</td>
							<td class="dataValue">
								<fl:input property="PubFilmUrl"/>
							</td>
						</tr>		
						<tr class="fieldline">
							<td id="PubPhotoID_label" class="dataLabel">
								<fl:label code="F600A"/>
							</td>
							<td id="PubPhotoID_value" class="dataValue">
								<div class="fieldTable" >
									<fl:attach name="Publication" colID="PubPhotoID" htmlClass="fob" allowedExtensions="'jpg', 'jpeg', 'png', 'gif'" />
								</div>
							</td>
						</tr>			
					</table>
				</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
			<tr>
				<td class="column2" colspan="5">
					<table class="container" cellpadding="1">
						<tr><td><fl:label field="PubDescSmall" code="F7049"/></td></tr>
						<tr><td><fl:input name="Publication" property="PubDescSmall" mandatoryMsgCode="M9008"/></td></tr>
					</table>
				</td>
			</tr>
			<tr>
				<td class="column2" colspan="5">
					<table class="container" cellpadding="1">
						<tr><td><fl:label field="PubDescLarge" code="F704A"/></td></tr>						
						<tr>
							<td>
								<div class="input textarea">
									<input id="hiddenPubDescLarge" name="mandatory" value="PubDescLarge" type="hidden" maxlength="420">
									<input id="mandatory.PubDescLarge" name="mandatory.PubDescLarge" value="Veuillez saisir une description longue" type="hidden">
									<textarea id="PubDescLarge" name="PubDescLarge" onchange="truncateDescIfLengthMax()" class="input textarea chpsTextObligatoire" style="width: 100%;"><%= pubDescLarge %></textarea>
									<span id="PubDescLarge_msg" class="mandatory_alert" style="display: none;">!</span>
								</div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<table class="container" cellpadding="0">
			<tr class="ligne_separation"><td></td></tr>
			<tr class="ligne_separation_couleur"><td></td></tr>
			<tr class="ligne_separation"><td></td></tr>
		</table>
	</fl:bigTabs>
</fl:form>